Subject: Re: [PATCH] Added mergetool.kdiff3.doubledash config option

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Jun 2008 23:17:51 -0700

Theodore Tso <[email-masked]> writes:

> On Thu, Jun 12, 2008 at 04:44:03PM -0600, [email-masked] wrote:
>> I have found the following to be a way to distinguish the two
>> versions based solely on exit status. The broken one exits with 255.
>> 
>> kdiff3 --auto -o /dev/null -- /dev/null /dev/null
>> 
>> I'll work up another patch that uses this. This check adds about
>> 0.5s overhead. That seems a little high to me, but given that
>> mergetool is interactive, I guess that could be acceptable.
>
> Hmm, do we have a policy about whether or not it is acceptable to
> modify .gitconfig behind the user's back?  It would be nice if the
> check would be done once and then the result gets cached.  So if not
> in .gitconfig, maybe somewhere else.

The reason I suggested either a cheap runtime check or command line
override was because you can be accessing the same repository from two
different machines, with different kdiff3.  If you check once and store
the result in .gitconfig or .git/config, it would not help the situation a
bit, would it?